IBM Support

After upgrading Sametime server to 8.5 users using Notes 8.x Basic and older Notes clients cannot log in

Technote (troubleshooting)


Problem

After your Sametime server is upgraded to 8.5.1 or later, users using Notes 8.x Basic and older Notes clients with embedded Sametime cannot log in to the Sametime Community server.

Cause

This problem occurs because those client version levels do not meet the minimum client version allowed to login by default. Each Sametime Community Server is configured to allow logins from a minimum client version.

Sametime 8.5.1 introduced a new setting named ST_MINIMAL_CLIENT_VERSION to control the allowed client version separately from the allowed server versions. If you do not specifically set ST_MINIMAL_CLIENT_VERSION, then it defaults to the same value as VP_SECURITY_LEVEL.

The default value for VP_SECURITY_LEVEL in 8.5.1 is 7000. This setting prevents any clients older than Sametime 7.0 from logging in. Notes 6.5, Notes 7.x, and Notes Basic 8.x are all based on Sametime 6.5.1 code and therefore get locked out due to this setting. In earlier releases, the default value for VP_SECURITY_LEVEL was 25; a value of 0 allowed logins for all clients regardless of version.

Refer to Specifying the minimum allowed client version for details.


Resolving the problem

To resolve the problem and allow login by these client versions, add the following entry in the [Config] section of the sametime.ini file:


Note that all servers in the environment must have the same values for both VP_SECURITY_LEVEL and ST_MINIMAL_CLIENT_VERSION to communicate with each other.


Document information

More support for: IBM Sametime
Community Server

Software version: 8.5.1, 8.5.2

Operating system(s): AIX, IBM i, Linux, Solaris, Windows

Software edition: Entry, Standard

Reference #: 1443291

Modified date: 16 February 2012


Translate this page: